## junit.framework
Interface TestListener

All Known Implementing Classes:
  BaseTestRunner, ResultPrinter, TestRunner

    public interface TestListener

A Listener for test progress

Method Summary
`void` `addError(Test test, Throwable e)` An error occurred.
`void` `addFailure(Test test, AssertionFailedError e)` A failure occurred.
`void` `endTest(Test test)` A test ended.
`void` `startTest(Test test)` A test started.

Method Detail

### addError

    void addError(Test test,
                  Throwable e)

  An error occurred.

### addFailure

    void addFailure(Test test,
                    AssertionFailedError e)

  A failure occurred.

### endTest

    void endTest(Test test)

  A test ended.

### startTest

    void startTest(Test test)

  A test started.

Copyright © 2002–2020 JUnit. All rights reserved.